Skip to main content
POST
/
api
/
playground
/
sessions
/
{session_id}
/
upload
Upload File
curl --request POST \
  --url https://api.example.com/api/playground/sessions/{session_id}/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "id": "<string>",
  "name": "<string>",
  "source": "<string>",
  "status": "<string>",
  "progress": 123,
  "created_at": "<string>",
  "updated_at": "<string>",
  "source_ref": "<string>",
  "row_count": 123,
  "column_count": 123,
  "columns": [],
  "file_size_bytes": 123,
  "file_names": [
    "<string>"
  ],
  "error_message": "<string>",
  "cancel_requested": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

session_id
string
required

Cookies

antidote_session
string | null

Body

multipart/form-data
file
file
required

Response

Successful Response

id
string
required
name
string
required
source
string
required
status
string
required
progress
integer
required
created_at
string
required
updated_at
string
required
source_ref
string | null
row_count
integer | null
column_count
integer | null
columns
ColumnMetadata · object[]
file_size_bytes
integer | null
file_names
string[] | null
error_message
string | null
cancel_requested
boolean | null
default:false